#ifndef __PNG_H
#define __PNG_H

#include "_simplescreen.h"

typedef struct _simplepng {
    int x;
    int y;
    int w;
    int h;
    unsigned short *bufp;
} _simplepng;

extern int png_create(char *filename, _simplepng *pngp);
extern int png_show(_simplepng *pngp, _simplescreen *scrp, int x, int y);
extern int png_delete(_simplepng *pngp);

#endif // __PNG_H
